// package: bet.beteran.core.network
// file: models/core/network.proto

import * as jspb from "google-protobuf";

export class Client extends jspb.Message {
  getClientIp(): string;
  setClientIp(value: string): void;

  hasSiteUrl(): boolean;
  clearSiteUrl(): void;
  getSiteUrl(): string;
  setSiteUrl(value: string): void;

  hasAccessToken(): boolean;
  clearAccessToken(): void;
  getAccessToken(): string;
  setAccessToken(value: string): void;

  serializeBinary(): Uint8Array;
  toObject(includeInstance?: boolean): Client.AsObject;
  static toObject(includeInstance: boolean, msg: Client): Client.AsObject;
  static extensions: {[key: number]: jspb.ExtensionFieldInfo<jspb.Message>};
  static extensionsBinary: {[key: number]: jspb.ExtensionFieldBinaryInfo<jspb.Message>};
  static serializeBinaryToWriter(message: Client, writer: jspb.BinaryWriter): void;
  static deserializeBinary(bytes: Uint8Array): Client;
  static deserializeBinaryFromReader(message: Client, reader: jspb.BinaryReader): Client;
}

export namespace Client {
  export type AsObject = {
    clientIp: string,
    siteUrl: string,
    accessToken: string,
  }
}

